<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Interact/Vehicles/ActionCarDoors.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d65/_action_car_doors_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionCarDoors.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d65/_action_car_doors_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/d38/class_action_car_doors.html">ActionCarDoors</a>: <a class="code hl_class" href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{   </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html#a2522ae9d66efa71f63726b90b6a09a37">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#a2522ae9d66efa71f63726b90b6a09a37">m_CommandUIDPerCrewIdx</a>[4];</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html#a52f56dfb758c84294a0f3bb8a30fee49">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#a52f56dfb758c84294a0f3bb8a30fee49">m_IsOpening</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <span class="comment">// --- Backwards compatibility 1.09 -&gt; 1.10 (But please do not use these)</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html#aef48745b6425de63728cd39092fd7566">    6</a></span>    <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a> <a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#aef48745b6425de63728cd39092fd7566">m_Car</a> = null;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html#ad41b55ef6be388175946d56167720a82">    7</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#ad41b55ef6be388175946d56167720a82">m_AnimSource</a> = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    <span class="comment">// ---</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html#a25d9d26ebe9847279e1af879029750c8">   10</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d38/class_action_car_doors.html#a25d9d26ebe9847279e1af879029750c8">ActionCarDoors</a>()</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_OPENDOORFW;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ALL;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html#a4d37527dde5311e987dc6413458cf1de">   16</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d38/class_action_car_doors.html#a4d37527dde5311e987dc6413458cf1de">CreateConditionComponents</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a>     = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a>   = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html#a47f8cf8e8fc7b796b7d52b1d7eb26842">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d38/class_action_car_doors.html#a47f8cf8e8fc7b796b7d52b1d7eb26842">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {       </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a> car       = null;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordtype">string</span> animSource   = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">if</span> (player &amp;&amp; player.GetCommand_Vehicle())</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(car, player.GetCommand_Vehicle().GetTransport()))</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                <span class="keywordtype">int</span> crewIdx = car.CrewMemberIndex(player);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                <span class="keywordflow">if</span> (crewIdx &lt; 0 || crewIdx &gt; 3 || car.<a class="code hl_function" href="../../de/d59/class_car_script.html#a5733487848564efdc3e90a8f741514da">GetCarDoorsState</a>(car.<a class="code hl_function" href="../../de/d59/class_car_script.html#a3fecc1a7012644ffda31c6656e943d33">GetDoorInvSlotNameFromSeatPos</a>(crewIdx)) == <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_MISSING)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                animSource = car.<a class="code hl_function" href="../../de/d59/class_car_script.html#a6bf22c124c476b773765763750a8b30f">GetAnimSourceFromSelection</a>(car.<a class="code hl_function" href="../../de/d59/class_car_script.html#a1acbf99cae16dbf5d295c8a5667d45c7">GetDoorSelectionNameFromSeatPos</a>(crewIdx));</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                <span class="keywordflow">if</span> (!car.<a class="code hl_function" href="../../de/d59/class_car_script.html#a9578015422d87b2cee61d749fb838853">CanReachDoorsFromSeat</a>(animSource, crewIdx) || !car.IsAreaAtDoorFree(crewIdx))</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#a2522ae9d66efa71f63726b90b6a09a37">m_CommandUIDPerCrewIdx</a>[crewIdx];</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                <span class="keywordtype">float</span> animationPhaseInside = car.GetAnimationPhase(animSource);             </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                <span class="keywordflow">return</span> (<a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#a52f56dfb758c84294a0f3bb8a30fee49">m_IsOpening</a> &amp;&amp; animationPhaseInside &lt;= 0.5) || (!<a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#a52f56dfb758c84294a0f3bb8a30fee49">m_IsOpening</a> &amp;&amp; animationPhaseInside &gt; 0.5);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html#af9da5175c70605c8fb83f7a361f4b54a">   58</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d38/class_action_car_doors.html#af9da5175c70605c8fb83f7a361f4b54a">OnStartServer</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordtype">float</span> phase;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#a52f56dfb758c84294a0f3bb8a30fee49">m_IsOpening</a>)</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            phase = 1.0;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            phase = 0.0;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordtype">string</span> animSource = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a> car;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">if</span> (player &amp;&amp; player.GetCommand_Vehicle())</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            car = <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a>.Cast(player.GetCommand_Vehicle().GetTransport());</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <span class="keywordflow">if</span> (car)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                <span class="keywordtype">int</span> crewIdx = car.CrewMemberIndex(player);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                animSource = car.<a class="code hl_function" href="../../de/d59/class_car_script.html#a6bf22c124c476b773765763750a8b30f">GetAnimSourceFromSelection</a>(car.<a class="code hl_function" href="../../de/d59/class_car_script.html#a1acbf99cae16dbf5d295c8a5667d45c7">GetDoorSelectionNameFromSeatPos</a>(crewIdx));</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">if</span> (car)</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            car.ForceUpdateLightsStart();</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            car.SetAnimationPhase(animSource, phase);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html#afb7d3b9bb190146db358a7ad39ea4308">   92</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d38/class_action_car_doors.html#afb7d3b9bb190146db358a7ad39ea4308">OnEndServer</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a> car;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">if</span> (player &amp;&amp; player.GetCommand_Vehicle())</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            car = <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a>.Cast(player.GetCommand_Vehicle().GetTransport());</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">if</span> (car)</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            car.ForceUpdateLightsEnd();</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html#afbde268a706d6e0b2ab4b99e346dc3bd">  107</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d38/class_action_car_doors.html#afbde268a706d6e0b2ab4b99e346dc3bd">OnEnd</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#aef48745b6425de63728cd39092fd7566">m_Car</a> || <a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#ad41b55ef6be388175946d56167720a82">m_AnimSource</a>.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">Length</a>() &gt; 0)</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>(<span class="stringliteral">&quot;[WARNING] m_Car and m_AnimSource are left for backwards compatibility to not crash mods that are using it, but should no longer be used.&quot;</span>);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html#af3b94343681f29f5d6f416cf90ba198c">  115</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d38/class_action_car_doors.html#af3b94343681f29f5d6f416cf90ba198c">CanBeUsedInVehicle</a>()</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html#aefa992122a3a2e04269fdaa1786b9bde">  120</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d38/class_action_car_doors.html#aefa992122a3a2e04269fdaa1786b9bde">FillCommandUIDPerCrewIdx</a>(<span class="keywordtype">int</span> crewIdx0, <span class="keywordtype">int</span> crewIdx1, <span class="keywordtype">int</span> crewIdx2, <span class="keywordtype">int</span> crewIdx3)</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#a2522ae9d66efa71f63726b90b6a09a37">m_CommandUIDPerCrewIdx</a>[0] = crewIdx0;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#a2522ae9d66efa71f63726b90b6a09a37">m_CommandUIDPerCrewIdx</a>[1] = crewIdx1;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#a2522ae9d66efa71f63726b90b6a09a37">m_CommandUIDPerCrewIdx</a>[2] = crewIdx2;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <a class="code hl_variable" href="../../db/d38/class_action_car_doors.html#a2522ae9d66efa71f63726b90b6a09a37">m_CommandUIDPerCrewIdx</a>[3] = crewIdx3;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../db/d38/class_action_car_doors.html#ae55761c0fd7b6eb2d3e5e7d235c17b79">  128</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d38/class_action_car_doors.html#ae55761c0fd7b6eb2d3e5e7d235c17b79">FillCommandUIDPerCrewIdx</a>(<span class="keywordtype">int</span> evenCrewIdx0, <span class="keywordtype">int</span> unevenCrewIdx1)</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <a class="code hl_function" href="../../db/d38/class_action_car_doors.html#aefa992122a3a2e04269fdaa1786b9bde">FillCommandUIDPerCrewIdx</a>(evenCrewIdx0, unevenCrewIdx1, evenCrewIdx0, unevenCrewIdx1);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_car_script_8c_html_a18cb065ee474426aa7bcbee02cdcd134"><div class="ttname"><a href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a></div><div class="ttdeci">CarDoorState</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d71/_car_script_8c_source.html#l00001">CarScript.c:2</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html">ActionCarDoors</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00001">ActionCarDoors.c:2</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html_a2522ae9d66efa71f63726b90b6a09a37"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html#a2522ae9d66efa71f63726b90b6a09a37">ActionCarDoors::m_CommandUIDPerCrewIdx</a></div><div class="ttdeci">protected int m_CommandUIDPerCrewIdx[4]</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00003">ActionCarDoors.c:3</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html_a25d9d26ebe9847279e1af879029750c8"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html#a25d9d26ebe9847279e1af879029750c8">ActionCarDoors::ActionCarDoors</a></div><div class="ttdeci">void ActionCarDoors()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00010">ActionCarDoors.c:10</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html_a47f8cf8e8fc7b796b7d52b1d7eb26842"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html#a47f8cf8e8fc7b796b7d52b1d7eb26842">ActionCarDoors::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00022">ActionCarDoors.c:22</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html_a4d37527dde5311e987dc6413458cf1de"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html#a4d37527dde5311e987dc6413458cf1de">ActionCarDoors::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00016">ActionCarDoors.c:16</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html_a52f56dfb758c84294a0f3bb8a30fee49"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html#a52f56dfb758c84294a0f3bb8a30fee49">ActionCarDoors::m_IsOpening</a></div><div class="ttdeci">protected bool m_IsOpening</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00004">ActionCarDoors.c:4</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html_ad41b55ef6be388175946d56167720a82"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html#ad41b55ef6be388175946d56167720a82">ActionCarDoors::m_AnimSource</a></div><div class="ttdeci">string m_AnimSource</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00007">ActionCarDoors.c:7</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html_ae55761c0fd7b6eb2d3e5e7d235c17b79"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html#ae55761c0fd7b6eb2d3e5e7d235c17b79">ActionCarDoors::FillCommandUIDPerCrewIdx</a></div><div class="ttdeci">protected void FillCommandUIDPerCrewIdx(int evenCrewIdx0, int unevenCrewIdx1)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00128">ActionCarDoors.c:128</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html_aef48745b6425de63728cd39092fd7566"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html#aef48745b6425de63728cd39092fd7566">ActionCarDoors::m_Car</a></div><div class="ttdeci">CarScript m_Car</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00006">ActionCarDoors.c:6</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html_aefa992122a3a2e04269fdaa1786b9bde"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html#aefa992122a3a2e04269fdaa1786b9bde">ActionCarDoors::FillCommandUIDPerCrewIdx</a></div><div class="ttdeci">protected void FillCommandUIDPerCrewIdx(int crewIdx0, int crewIdx1, int crewIdx2, int crewIdx3)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00120">ActionCarDoors.c:120</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html_af3b94343681f29f5d6f416cf90ba198c"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html#af3b94343681f29f5d6f416cf90ba198c">ActionCarDoors::CanBeUsedInVehicle</a></div><div class="ttdeci">override bool CanBeUsedInVehicle()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00115">ActionCarDoors.c:115</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html_af9da5175c70605c8fb83f7a361f4b54a"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html#af9da5175c70605c8fb83f7a361f4b54a">ActionCarDoors::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00058">ActionCarDoors.c:58</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html_afb7d3b9bb190146db358a7ad39ea4308"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html#afb7d3b9bb190146db358a7ad39ea4308">ActionCarDoors::OnEndServer</a></div><div class="ttdeci">override void OnEndServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00092">ActionCarDoors.c:92</a></div></div>
<div class="ttc" id="aclass_action_car_doors_html_afbde268a706d6e0b2ab4b99e346dc3bd"><div class="ttname"><a href="../../db/d38/class_action_car_doors.html#afbde268a706d6e0b2ab4b99e346dc3bd">ActionCarDoors::OnEnd</a></div><div class="ttdeci">override void OnEnd(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d65/_action_car_doors_8c_source.html#l00107">ActionCarDoors.c:107</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00054">ActionInteractBase.c:55</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_none_html"><div class="ttname"><a href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1b/_c_c_t_none_8c_source.html#l00001">CCTNone.c:2</a></div></div>
<div class="ttc" id="aclass_car_script_html"><div class="ttname"><a href="../../de/d59/class_car_script.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00001">CivilianSedan.c:2</a></div></div>
<div class="ttc" id="aclass_car_script_html_a1acbf99cae16dbf5d295c8a5667d45c7"><div class="ttname"><a href="../../de/d59/class_car_script.html#a1acbf99cae16dbf5d295c8a5667d45c7">CarScript::GetDoorSelectionNameFromSeatPos</a></div><div class="ttdeci">override string GetDoorSelectionNameFromSeatPos(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00237">CivilianSedan.c:237</a></div></div>
<div class="ttc" id="aclass_car_script_html_a3fecc1a7012644ffda31c6656e943d33"><div class="ttname"><a href="../../de/d59/class_car_script.html#a3fecc1a7012644ffda31c6656e943d33">CarScript::GetDoorInvSlotNameFromSeatPos</a></div><div class="ttdeci">override string GetDoorInvSlotNameFromSeatPos(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00258">CivilianSedan.c:258</a></div></div>
<div class="ttc" id="aclass_car_script_html_a5733487848564efdc3e90a8f741514da"><div class="ttname"><a href="../../de/d59/class_car_script.html#a5733487848564efdc3e90a8f741514da">CarScript::GetCarDoorsState</a></div><div class="ttdeci">override int GetCarDoorsState(string slotType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00160">CivilianSedan.c:160</a></div></div>
<div class="ttc" id="aclass_car_script_html_a6bf22c124c476b773765763750a8b30f"><div class="ttname"><a href="../../de/d59/class_car_script.html#a6bf22c124c476b773765763750a8b30f">CarScript::GetAnimSourceFromSelection</a></div><div class="ttdeci">override string GetAnimSourceFromSelection(string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00324">CivilianSedan.c:324</a></div></div>
<div class="ttc" id="aclass_car_script_html_a9578015422d87b2cee61d749fb838853"><div class="ttname"><a href="../../de/d59/class_car_script.html#a9578015422d87b2cee61d749fb838853">CarScript::CanReachDoorsFromSeat</a></div><div class="ttdeci">override bool CanReachDoorsFromSeat(string pDoorsSelection, int pCurrentSeat)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00380">CivilianSedan.c:380</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agroup___debug_html_ga786b160dafbe15abb829786ba345cb15"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a></div><div class="ttdeci">void Error(string err)</div><div class="ttdoc">Messagebox with error message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00090">EnDebug.c:90</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___strings_html_ga012b133f69754b6a99ba29ce5f11c348"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">string::Length</a></div><div class="ttdeci">proto native int Length()</div><div class="ttdoc">Returns length of string.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_db22a6aaa1333ce39e022321034f28d1.html">Interact</a></li><li class="navelem"><a class="el" href="../../dir_14602dcc2d0a643325d2f7d3aff9a7f4.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../db/d65/_action_car_doors_8c.html">ActionCarDoors.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
